package com.tfis.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.tfis.common.annotation.Excel;
import com.tfis.common.core.domain.BaseEntity;

/**
 * 故障案例查看次数管理对象 biz_fault_case_view_count
 * 
 * @author allen
 * @date 2023-11-23
 */
public class FaultCaseViewCount extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 故障案例 */
    @Excel(name = "故障案例")
    private Long faultCaseId;

    /** 浏览次数 */
    @Excel(name = "浏览次数")
    private Long viewCount;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFaultCaseId(Long faultCaseId) 
    {
        this.faultCaseId = faultCaseId;
    }

    public Long getFaultCaseId() 
    {
        return faultCaseId;
    }
    public void setViewCount(Long viewCount) 
    {
        this.viewCount = viewCount;
    }

    public Long getViewCount() 
    {
        return viewCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("faultCaseId", getFaultCaseId())
            .append("viewCount", getViewCount())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
